<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$empCod = $_SESSION['empCod'];

# QUERYS
$sBancos = "SELECT *, TRIM(ban_nom) as ban_nom FROM bancos WHERE ban_emp='$empCod'";
$sTipopol = "SELECT * FROM tipopol WHERE tp_bansn='S' AND tp_cod!='004'";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["bancos"] = $db->query($sBancos);
$select["tipopol"] = $db->query($sTipopol);
$db->close();
?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-excel"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');

        $modalImp = "modalImp";
        include_once('../../../php/includes/modalImp.php');
      ?>
      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Listado de Movimientos</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
                
                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">

                    <div class="form-row">
                      <div class="col-2"></div>
                      <div class="col-md-4">
                        <label for="selTipo" class="font-size-lg">Seleccione Cuenta Bancaria</label>
                          <select class="form-control form-control-sm form-control-as font-size-lg" name="selBan" id="selBan">
                            <?php
                              while ($rec = $db->fetchAssoc($select['bancos'])) {
                                echo  '<option value="'.$rec['ban_num'].'" data-ctab="'.$rec['ban_ctab'].'">'.utf8_encode($rec['ban_nom']).'</option>';
                              }
                            ?>
                          </select>
                      </div>
                      <div class="col-md-4">
                        <label for="selTipo" class="font-size-lg">Tipo Documento</label>
                        <select class="form-control form-control-sm form-control-as font-size-lg" name="selTipo" id="selTipo">
                          <?php
                            while ($rec = $db->fetchAssoc($select['tipopol'])) {
                              echo  '<option value="'.$rec['tp_cod'].'" data-deha="'.$rec['tp_deha'].'">'.utf8_encode($rec['tp_nom']).'</option>';
                            }
                          ?>
                        </select>
                      </div>
                    </div>

                    <div class="form-row">
                      <div class="col-2"></div>
                      <div class="col-4">
                        <label for="dtFecI" class="font-size-lg">Fecha Inicial:</label>
                        <input type="date" class="form-control form-control-as" id="dtFecI" placeholder="">
                      </div>
                      <div class="col-4">
                        <label for="dtFecF" class="font-size-lg">Fecha Final: </label>
                        <input type="date" class="form-control form-control-as" id="dtFecF" placeholder="">
                      </div>
                    </div>

                  </div>

                  <h3 class="text-light"></h3>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col-2">
                      </div>
                      <div class="form-group col-4">
                        <button class="btn btn-primary btn-lg btn-block" id="btnImprimir" type="button">Imprimir</button>
                      </div>
                      <div class="form-group col-4">
                        <button class="btn btn-success btn-lg btn-block" id="btnExcel" type="button">Excel</button>
                      </div>
                      </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  const dtFecI = document.thisform.dtFecI;
  const dtFecF = document.thisform.dtFecF;
  const selBanCod = document.thisform.selBan;
  const selTipoCod = document.thisform.selTipo;
  
/*  function restriccion() {
    if (isNullPer(selBan.value)) {
      selBan.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Numero de Cuenta Bancaria"}});
      return true;
    }
    if (isNullPer(numChi.value)) {
      numChi.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Numero de Cheque Inicial"}});
      var lerror=true;
      return true;
    }
    if (isNullPer(numChf.value)) {
      numChf.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Numero de Cheque Final"}});
      return true;
    } 
    return false;
  } 

  function restriccionmenor() {
    if (numChf.value < numChi.value) {
      numChf.focus();
      alWarning({"msg":{"title":"Dato Erroneo","text":"El cheque final no puede ser menor al cheque inicial"}});
      return true;
    } 
    return false;
  } */



  $(document).ready(function() {
    $(this).find('select:visible:first').focus();
    dtFecI.value = dateToday();
    dtFecF.value = dateToday();

    
    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      const getFecI = "?dtFecI="+dtFecI.value;
      const getFecF = "&dtFecF="+dtFecF.value;
      const getBanCod = "&selBanCod="+selBan.value;
      const getBanNom = "&selBanNom="+$("#selBan option:selected").text();
      const getTipoCod = "&selTipoCod="+selTipo.value;
      const getTipoNom = "&selTipoNom="+$("#selTipo option:selected").text();

      var url = window.location.origin+window.location.pathname+"print.php"+getFecI+getFecF+getBanCod+getBanNom+getTipoCod+getTipoNom;

      window.open(url, '_blank');
    });

    // CLICK EXCELL
    $("#btnExcel").click(function (){
      const getFecI = "?dtFecI="+dtFecI.value;
      const getFecF = "&dtFecF="+dtFecF.value;
      const getBanCod = "&selBanCod="+selBan.value;
      const getBanNom = "&selBanNom="+$("#selBan option:selected").text();
      const getTipoCod = "&selTipoCod="+selTipo.value;
      const getTipoNom = "&selTipoNom="+$("#selTipo option:selected").text();
      
      var url = window.location.origin+window.location.pathname+"excel.php"+getFecI+getFecF+getBanCod+getBanNom+getTipoCod+getTipoNom;;

      window.location.href = url;
    });
  });

</script>